Package com.pixelmed.convert

## Class TIFFImageFileDirectories

- java.lang.Object
- - com.pixelmed.convert.TIFFImageFileDirectories

-     public class TIFFImageFileDirectories
      extends java.lang.Object

  A class encapsulating the content of one or more TIFF or BigTIFF Image File Directories (IFDs).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TIFFFile` | `f` |
    `protected java.util.ArrayList<TIFFImageFileDirectory>` | `ifdList` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIFFImageFileDirectories()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TIFFFile` | `getFile()` |
    `java.util.ArrayList<TIFFImageFileDirectory>` | `getListOfImageFileDirectories()` |
    `static void` | `main​(java.lang.String[] arg)` | Read TIFF or BigTIFF input file and extract its Image File Directories.
    `void` | `read​(java.lang.String filename)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### f

          protected TIFFFile f

    - #### ifdList

          protected java.util.ArrayList<TIFFImageFileDirectory> ifdList

  - ### Constructor Detail

    - #### TIFFImageFileDirectories

          public TIFFImageFileDirectories()

  - ### Method Detail

    - #### getFile

          public TIFFFile getFile()

    - #### getListOfImageFileDirectories

          public java.util.ArrayList<TIFFImageFileDirectory> getListOfImageFileDirectories()

    - #### read

          public void read​(java.lang.String filename)
                    throws java.io.EOFException,
                           java.io.IOException,
                           TIFFException

      Throws:
        `java.io.EOFException`
        `java.io.IOException`
        `TIFFException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main​(java.lang.String[] arg)

      Read TIFF or BigTIFF input file and extract its Image File Directories.

      Output to stderr mimics libtiff tiffdump tool, except that long lists of values are not truncated with ellipsis.

      Parameters:
        `arg` - the TIFF or BigTIFF file